Bug 3843 - error running log-examples
Summary: error running log-examples
Status: CLOSED WONTFIX
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Log Taglib (show other bugs)
Version: unspecified
Hardware: PC All
: P3 critical (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-09-26 14:17 UTC by ctang
Modified: 2005-03-20 17:06 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ctang 2001-09-26 14:17:29 UTC
Hi there,

I downloaded taglibs (taglibs-20010926 version). 
Then I deployed to tomcat3.3-m4 by copying the war file into webapps.
After hitting test #1, I got an message in stdout,

log4j:ERROR No appenders could be found for category (root).
log4j:ERROR Please initialize the log4j system property.
(The log4j.properties is in classes directory.)

Then I tried to specify the system property log4j.configuration to 
the absolute address of log4j.properties.  The same error is returned.

I looked at log tag class.  I don't see any code that refers to
log4j.properties.  

Is log tag working or working in progress?  
How do I fix the problem I encounted?

thanks!

ct
Comment 1 James Strachan 2001-10-08 14:43:07 UTC
Unfortunately log4j's standard log4j.properties mechanism doesn't work in some 
older Servlet environments. In times like this you need to write your own 
Servlet to initialise log4j.

We think this should be a standard feature of log4j. Please mail the log4j list 
for help on this topic.